*** is not a supported wheel on this platform

¥20.00

Python开发中,使用pip安装依赖包报错:***  is not a supported wheel on this platform。这个是什么原因造成的,应该如何解决呢?


梦想不倒 T0 发布于1个月前

最佳解决方案

原因分析

pip报错is not a supported wheel on this platform的原因一般有两种:一是所安装包的版本和本地python版本对应不上;另外一个原因是文件名格式不被pip识别和支持

如果是版本问题,检查下库名版本和本地python版本是否一致。库名cp27就表示python2.7


如果不是版本问题,就检查文件名格式是否被pip支持:

在shell中输入import pip; print(pip.pep425tags.get_supported())可以获取到pip支持的文件名和版本。

如果库名文件名格式不被支持,修改为被支持的文件名格式就好了。

奋斗第一 T0 被采纳率100%
2021-04-02 09:34
打赏 0 0
页面统计
129 访问
0 帮助
0.00 打赏

hierror 2019 © hierror.com 京ICP备13026190号-1

通知消息
  • 暂无任何消息